BambooIsland: SceneObject Class Reference

BambooIsland Abgabe 2

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes

# SceneObject Class Reference

`#include <SceneObject.h>`

Inheritance diagram for SceneObject:

List of all members.

## Public Member Functions

void | addChild (SceneObject *obj)
void | clearChilds ()
| add a child to this object and set the childs parent-pointer to "me"
glm::mat4 | getTransformMatrix ()
void | setTransformMatrix (glm::mat4 transformMatrix)
| returns the transform matrix of this object
virtual void | render (glm::mat4 parents_transformMatrix, RenderState currentRenderState=Normal)
| sets the transform matrix for this object
| SceneObject ()
| renders the children of the sceneobject and then the sceneobject itself

## Protected Types

enum | RenderState { Normal, Reflected, LightAsCam }

## Protected Member Functions

glm::mat4 | getFullTransformMatrix ()
| vector which holds the pointer to the child objects
virtual void | itlBeforeRender ()
| returns the transform matrix from the root sceneobject to this
virtual void | itlRender ()
void | sendTransformMatrices (bool sendNormalMatrix=true)
| internal rendering function, gets called by render()
void | sendLightPosition ()
| internal helper function which sends the current transormation matrices to the shader

## Protected Attributes

RenderState | m_tRenderState
glm::mat4 | transformMatrix
glm::mat4 | completeTransformMatrix
std::vector< SceneObject * > | children

## Detailed Description

A SceneObject is a object to be placed in a tree-based Scene-Structure

Definition at line 20 of file SceneObject.h.

The documentation for this class was generated from the following files:

- C:/Users/easterbunny/Desktop/Echtzeitgraphik-LU/trunk/src/SceneObject.h
- C:/Users/easterbunny/Desktop/Echtzeitgraphik-LU/trunk/src/SceneObject.cpp

All Classes Functions Variables Enumerations Enumerator